## org.mortbay.jetty.plus.webapp
Class EnvConfiguration

    java.lang.Object
      org.mortbay.jetty.plus.webapp.EnvConfiguration

All Implemented Interfaces:
  Serializable, Configuration

    public class EnvConfiguration

extends Object
implements Configuration

EnvConfiguration

See Also:
  Serialized Form

Constructor Summary
`EnvConfiguration()`

Method Summary
`void` `bindGlobalEnvEntries()` Bind all EnvEntries that have been globally declared.
`void` `configureClassLoader()` Configure ClassPath.
`void` `configureDefaults()` Configure Defaults.
`void` `configureWebApp()` Configure WebApp.
`protected void` `createEnvContext()`
`void` `deconfigureWebApp()` Remove all jndi setup
`WebAppContext` `getWebAppContext()` Get the context on which the configuration is performed.
`void` `setJettyEnvXml(URL url)`
`void` `setWebAppContext(WebAppContext context)` Set up a context on which to perform the configuration.
`void` `unbindLocalNamingEntries()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvConfiguration

    public EnvConfiguration()

Method Detail

### createEnvContext

    protected void createEnvContext()
                             throws NamingException

  Throws:
    `NamingException`

### setWebAppContext

    public void setWebAppContext(WebAppContext context)

  Description copied from interface: `Configuration`
  Set up a context on which to perform the configuration.

  Specified by:
    `setWebAppContext` in interface `Configuration`
  Parameters:
    `context` -
  See Also:
    `Configuration.setWebAppContext(org.mortbay.jetty.webapp.WebAppContext)`

### setJettyEnvXml

    public void setJettyEnvXml(URL url)

### getWebAppContext

    public WebAppContext getWebAppContext()

  Description copied from interface: `Configuration`
  Get the context on which the configuration is performed.

  Specified by:
    `getWebAppContext` in interface `Configuration`
  See Also:
    `Configuration.getWebAppContext()`

### configureClassLoader

    public void configureClassLoader()
                              throws Exception

  Description copied from interface: `Configuration`
  Configure ClassPath. This method is called to configure the context ClassLoader. It is called just after a new WebAppClassLoader is constructed and before it has been used. Class paths may be added, options changed or the loader totally replaced.

  Specified by:
    `configureClassLoader` in interface `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureClassLoader()`

### configureDefaults

    public void configureDefaults()
                           throws Exception

  Description copied from interface: `Configuration`
  Configure Defaults. This method is called to intialize the context to the containers default configuration. Typically this would mean application of the webdefault.xml file.

  Specified by:
    `configureDefaults` in interface `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureDefaults()`

### configureWebApp

    public void configureWebApp()
                         throws Exception

  Description copied from interface: `Configuration`
  Configure WebApp. This method is called to apply the standard and vendor deployment descriptors. Typically this is web.xml and jetty-web.xml.

  Specified by:
    `configureWebApp` in interface `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.configureWebApp()`

### deconfigureWebApp

    public void deconfigureWebApp()
                           throws Exception

  Remove all jndi setup

  Specified by:
    `deconfigureWebApp` in interface `Configuration`
  Throws:
    `Exception`
  See Also:
    `Configuration.deconfigureWebApp()`

### bindGlobalEnvEntries

    public void bindGlobalEnvEntries()
                              throws NamingException

  Bind all EnvEntries that have been globally declared.

  Throws:
    `NamingException`

### unbindLocalNamingEntries

    public void unbindLocalNamingEntries()
                                  throws NamingException

  Throws:
    `NamingException`

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.